List Agents
curl --request GET \
--url https://api.beamstudio.ai/agent \
--header 'current-workspace-id: <current-workspace-id>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beamstudio.ai/agent"
headers = {
"current-workspace-id": "<current-workspace-id>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'current-workspace-id': '<current-workspace-id>', 'x-api-key': '<api-key>'}
};
fetch('https://api.beamstudio.ai/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"id": "<string>",
"name": "<string>",
"creatorId": "<string>",
"order": 123,
"description": "<string>",
"themeIconUrl": "<string>",
"agentCategoryId": "<string>",
"category": {
"id": "<string>",
"title": "<string>"
},
"workspaceId": "<string>"
}
],
"count": 123
}Agents
List Agents
Retrieve a paginated list of agents available in your workspace. Filter by type, category, or search query.
GET
/
agent
List Agents
Authorizations
Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter agents by type (beam-os, user-agent, pre-configured-agent)
Available options:
beam-os, user-agent, pre-configured-agent Example:
"beam-os"
Search agents by name or description
Example:
"customer support"
Filter agents by category ID
Example:
"cat_123456"
⌘I